<?php

if(!isSet($_GET["id"])){
  die("error\nNieprawidłowe wywołanie skryptu.");
}

$id = $_GET["id"];

if(!is_numeric($id)){
  die("error\nNieprawidłowy identyfikator klienta.");
}

if (!$db_lnk = sqlite_open("./baza.sqlite", 0666, $msg)){
  die("error\nBrak połączenia z bazą danych.");
}

$query = 'SELECT * FROM KLIENCI WHERE id=' . $id;

if(!$result = sqlite_query($db_lnk, $query, SQLITE_ASSOC)){
  die("error\nBłąd skryptu. Nieprawidłowe zapytanie.");
}

if(!$row = sqlite_fetch_array($result)){
  die("Nie ma klienta o wskazanym identyfikatorze.");
}

?>
<table border="0">
<tr>
  <td>ID:</td>
  <td><?php echo $row['ID']; ?>
</tr>
<tr>
  <td>Imię:</td>
  <td><?php echo $row['IMIE']; ?>
</tr>
<tr>
  <td>Nazwisko:</td>
  <td><?php echo $row['NAZWISKO']; ?>
</tr>
<tr>
  <td>Miasto:</td>
  <td><?php echo $row['MIASTO']; ?>
</tr>
</table>